package org.ddahl.rscala

import java.io._

object Helper {

  def writeString(out: DataOutputStream, string: String): Unit = {
    val b = string.getBytes
    val l = b.length
    out.writeInt(l)
    out.write(b,0,l)
  }

  def readString(in: DataInputStream): String = {
    val length = in.readInt()
    val bytes = new Array[Byte](length)
    in.readFully(bytes)
    new String(bytes)
  }

  def isMatrix[T](x: Array[Array[T]]): Boolean = {
    if ( x.length != 0 ) {
      val len = x(0).length
      for ( i <- 1 until x.length ) {
        if ( x(i).length != len ) return false
      }
    }
    true
  }

}

